import http from '@/api/http';
/**
 * cp选择项
 */
export function cpOptions(params: object) {
  return http.get('/cpManage/cp/options', params);
}
/**
 * 数据中心列表
 */
export function subscribeStatisticDataList(params: object) {
  return http.get('/cpManage/cp/subscribeStatisticData/list', params);
}
/**
 * 数据中心列表
 */
export function subscribeStatisticDataListStatistic(params: object) {
  return http.get(
    '/cpManage/cp/subscribeStatisticData/listStatistic',
    params
  );
}
/**
 * cp结算列表
 */
export function subscribeStatisticDataMonthList(params: object) {
  return http.get('/cpManage/cp/subscribeStatisticData/monthList', params);
}
/**
 * cp列表
 */
export function cpManageCpList(params?: object) {
  return http.get('/cpManage/cp/manage/cp_list', params);
}
/**
 * cp结算列表-某个cp某月的全部书籍结算金额导出
 */
export function exportListCpMonthFinalAmount(params: object) {
  return http.get(
    '/cpManage/cp/subscribeStatisticData/listCpMonthFinalAmount',
    params
  );
}
/**
 * 同步CP书籍
 */
export function cpCpCollection(params: object) {
  return http.get('/contentManage/cp/cpCollection', params);
}
/**
 * 修改结算状态
 */
export function saveFinalState(params: object) {
  return http.post(
    '/contentManage/cp/subscribeStatisticData/saveFinalState',
    params
  );
}
